WhatsApp Business Platform

Adding an account to a Multi-Partner Solution

Updated: Aug 12, 2026
Copy for LLM
If you are a Solution Partner and are part of an active multi-partner solution, you can designate a Messaging account as eligible for the solution (the “destination solution”). This sends a Meta Business Suite request to the client who owns the Messaging account. The client can then use the Meta Business Suite to accept and confirm the request.
Confirmation associates the Messaging account with the destination solution, thereby granting permissions (already defined on the destination solution) to any Tech Providers who are part of it.
If you’re unsure of the Messaging account’s ownership model, request the ownership_type field on the Messaging account ID. A value of ON_BEHALF_OF indicates you own the Messaging account, while CLIENT_OWNED indicates that your client owns the Messaging account.

Requirements

  • The Messaging account must have been onboarded by you.
  • The Messaging account cannot already be part of an existing active solution.
  • The destination solution must be in an active state.

Step 1: Designate the Messaging account as solution eligible

Use the POST /<WHATSAPP_BUSINESS_ACCOUNT>/set_solution_migration_intent endpoint to tag the business customer’s Messaging account for migration. This generates a migration intent, which indicates your intent to migrate the Messaging account.

Request

curl 'https://graph.facebook.com/<API_VERSION>/<WABA_ID>/set_solution_migration_intent' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <BUSINESS_TOKEN>' \
-d '
{
  "solution_id": "<DESTINATION_MULTI-PARTNER_SOLUTION_ID>"
}'

Response

Upon success:
{
  "id": "<MIGRATION_INTENT_ID>"
}
In addition, Meta sends a confirmation request to the client who owns the Messaging account.

Step 2: Instruct the client to confirm

Instruct your client to use the Meta Business Suite to accept and confirm the solution partner access request.
You can send the client the following instructions:
  1. Go to https://business.facebook.com/settings/requests/⁠ and log into your account.
  2. If you have multiple business portfolios, you will be presented with all of them. Click the portfolio that contains your Messaging account.
  3. In the Received tab, locate the request and complete the flow.
Meta Business Suite Settings page showing the Requests section with the Received tab selected and an empty Received state
Note that if your client does not complete this step within 90 days, acceptance and confirmation will happen automatically.